Package com.xebialabs.xlrelease.plugins.dashboard.domain

## Class Tile

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.ReleaseExtension
    - - com.xebialabs.xlrelease.plugins.dashboard.domain.Tile

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(virtual=true,
                versioned=false,
                description="Base type for dashboard tiles")
      public class Tile
      extends ReleaseExtension

  Base class for dashboard tiles, for example tiles of the "Release contents" page.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROPERTY_EXPIRATION_TIME` |
    `static java.lang.String` | `PROPERTY_MAX_CACHE_ENTRIES` |
    `static java.lang.String` | `PROPERTY_USER_SPECIFIC_CACHE` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tile()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getCol()` |
    `java.lang.String` | `getConfigurationUri()` |
    `java.util.List<java.lang.String>` | `getDefaultDashboards()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getDetailsUri()` |
    `java.lang.Integer` | `getExpirationTime()` |
    `java.lang.Integer` | `getHeight()` |
    `java.lang.Integer` | `getMaxCacheEntries()` |
    `java.lang.Integer` | `getMinSizeY()` |
    `java.util.List<PropertyDescriptor>` | `getProperties()` |
    `java.lang.String` | `getProvisioningScriptLocation()` |
    `java.lang.Integer` | `getRow()` |
    `java.lang.String` | `getScriptLocation()` |
    `java.util.List<java.lang.String>` | `getSupportedScopes()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getUri()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getVariableMapping()` |
    `java.util.List<UsagePoint>` | `getVariableUsages()` |
    `java.lang.Integer` | `getWidth()` |
    `boolean` | `isCacheEnabled()` |
    `boolean` | `isEmbedded()` |
    `boolean` | `isSupportedOn​(TileScope scope)` |
    `boolean` | `isUserSpecificCache()` |
    `static Tile` | `newDummy()` |
    `void` | `setCacheEnabled​(boolean cacheEnabled)` |
    `void` | `setCol​(java.lang.Integer col)` |
    `void` | `setConfigurationUri​(java.lang.String configurationUri)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setDetailsUri​(java.lang.String detailsUri)` |
    `void` | `setEmbedded​(boolean embedded)` |
    `void` | `setExpirationTime​(java.lang.Integer expirationTime)` |
    `void` | `setHeight​(java.lang.Integer height)` |
    `void` | `setMaxCacheEntries​(java.lang.Integer maxCacheEntries)` |
    `void` | `setMinSizeY​(java.lang.Integer minSizeY)` |
    `void` | `setRow​(java.lang.Integer row)` |
    `void` | `setSupportedScopes​(java.util.List<java.lang.String> supportedScopes)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setUri​(java.lang.String uri)` |
    `void` | `setUserSpecificCache​(boolean userSpecificCache)` |
    `void` | `setVariableMapping​(java.util.Map<java.lang.String,​java.lang.String> variableMapping)` |
    `void` | `setWidth​(java.lang.Integer width)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

      `accept`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_USER_SPECIFIC_CACHE

          public static final java.lang.String PROPERTY_USER_SPECIFIC_CACHE

      See Also:
        Constant Field Values

    - #### PROPERTY_EXPIRATION_TIME

          public static final java.lang.String PROPERTY_EXPIRATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_MAX_CACHE_ENTRIES

          public static final java.lang.String PROPERTY_MAX_CACHE_ENTRIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Tile

          public Tile()

  - ### Method Detail

    - #### getVariableUsages

          public java.util.List<UsagePoint> getVariableUsages()

      Overrides:
        `getVariableUsages` in class `ReleaseExtension`

    - #### getProperties

          public java.util.List<PropertyDescriptor> getProperties()

    - #### newDummy

          public static Tile newDummy()

    - #### isSupportedOn

          public boolean isSupportedOn​(TileScope scope)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getUri

          public java.lang.String getUri()

    - #### setUri

          public void setUri​(java.lang.String uri)

    - #### getDetailsUri

          public java.lang.String getDetailsUri()

    - #### setDetailsUri

          public void setDetailsUri​(java.lang.String detailsUri)

    - #### getConfigurationUri

          public java.lang.String getConfigurationUri()

    - #### setConfigurationUri

          public void setConfigurationUri​(java.lang.String configurationUri)

    - #### getDefaultDashboards

          public java.util.List<java.lang.String> getDefaultDashboards()

    - #### getWidth

          public java.lang.Integer getWidth()

    - #### setWidth

          public void setWidth​(java.lang.Integer width)

    - #### getRow

          public java.lang.Integer getRow()

    - #### setRow

          public void setRow​(java.lang.Integer row)

    - #### getCol

          public java.lang.Integer getCol()

    - #### setCol

          public void setCol​(java.lang.Integer col)

    - #### getMinSizeY

          public java.lang.Integer getMinSizeY()

    - #### setMinSizeY

          public void setMinSizeY​(java.lang.Integer minSizeY)

    - #### getVariableMapping

          public java.util.Map<java.lang.String,​java.lang.String> getVariableMapping()

    - #### setVariableMapping

          public void setVariableMapping​(java.util.Map<java.lang.String,​java.lang.String> variableMapping)

    - #### isCacheEnabled

          public boolean isCacheEnabled()

    - #### setCacheEnabled

          public void setCacheEnabled​(boolean cacheEnabled)

    - #### isUserSpecificCache

          public boolean isUserSpecificCache()

    - #### setUserSpecificCache

          public void setUserSpecificCache​(boolean userSpecificCache)

    - #### getExpirationTime

          public java.lang.Integer getExpirationTime()

    - #### setExpirationTime

          public void setExpirationTime​(java.lang.Integer expirationTime)

    - #### getMaxCacheEntries

          public java.lang.Integer getMaxCacheEntries()

    - #### setMaxCacheEntries

          public void setMaxCacheEntries​(java.lang.Integer maxCacheEntries)

    - #### getScriptLocation

          public java.lang.String getScriptLocation()

    - #### getProvisioningScriptLocation

          public java.lang.String getProvisioningScriptLocation()

    - #### isEmbedded

          public boolean isEmbedded()

    - #### setEmbedded

          public void setEmbedded​(boolean embedded)

    - #### getSupportedScopes

          public java.util.List<java.lang.String> getSupportedScopes()

    - #### setSupportedScopes

          public void setSupportedScopes​(java.util.List<java.lang.String> supportedScopes)

    - #### getHeight

          public java.lang.Integer getHeight()

    - #### setHeight

          public void setHeight​(java.lang.Integer height)